﻿using System;
using System.Collections.Generic;
using System.Windows;
using System.Windows.Controls;
using Microsoft.Phone.Controls;

namespace SlideViewSample
{
    public partial class MainPage : PhoneApplicationPage
    {
        List<ViewModel> items;
        bool isSelectionChangedSilent;
        // Constructor
        public MainPage()
        {
            InitializeComponent();
 
        
             items = new List<ViewModel>();
           
            for (int i = 1; i <= 4; i++)
            {
                ViewModel model = new ViewModel()
                {
                    Title = "Item " + i,
                    ImagePath = i + ".png",
                };

                items.Add(model);
            }

            this.DataContext = items;
          
        }

        void radSlideView_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            if (!isSelectionChangedSilent)
            {
                return;
            }

                ViewModel fromItem = e.RemovedItems[0] as ViewModel;
                ViewModel toItem = e.AddedItems[0] as ViewModel;

                var fromIndex = items.IndexOf(fromItem);
                var toIndex = items.IndexOf(toItem);
               

                if (Math.Abs(fromIndex - toIndex) > 1)
                {
                    isSelectionChangedSilent = false;
                    if (toIndex > 0)
                    {
                        radSlideView.SelectedItem = items[toIndex - 1];
                        radSlideView.MoveToNextItem();
                    }
                    else
                    {
                        radSlideView.SelectedItem = items[toIndex + 1];
                        radSlideView.MoveToPreviousItem();
                    }                
                }
            
        }


        private void Button_Click(object sender, RoutedEventArgs e)
        {
            isSelectionChangedSilent = true;
            radSlideView.SelectedItem = items[0];
        }

      
    }
}